# RPM specfile for aspell-fr module
# Generated Thu Jul 31 19:03:05 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.3 2003/07/21 15:31:37 thunder Exp $
# from 

%define nam	aspell-fr
%define ver	0.50.3
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	4

Name:     	aspell-fr
Version: 	0.50.3
Release:	0.ximian.6.4
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

BuildArch:      noarch
Epoch:		1
Source0:	aspell-fr-0.50-3.tar.bz2
Source1:	aspell-fr-0.1-3.tar.bz2
BuildRequires:	aspell
BuildRequires:	aspell-compat
Summary:	French Dictionaries for ASpell
Group:		Applications/Text
Requires:	aspell >= 0.50
Requires:	aspell-compat = 0.33.7.1
Provides:	aspell-dictionary
Provides:	ximian-aspell-fr = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
ASpell requires a dictionary to function properly. This package contains the set of lists that are best for general purpose spell-checkers.

%files
%defattr(-, root, root)
%doc aspell-fr-0.50-3/Copyright aspell-fr-0.50-3/README
/usr/share/aspell/*
/usr/lib/aspell/*
%dir /usr/share/aspell
%dir /usr/lib/aspell
/usr/share/aspell-compat/*
/usr/lib/aspell-compat/*
/usr/share/pspell-compat/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup -c -q -D -n aspell-fr
    ;;
all)
%setup -c -q -n aspell-fr
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%setup -c -n aspell-fr -q -D -T -a 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    (cd aspell-fr-0.1-3; sed -e "s#pspell#pspell-compat#" -e "s#aspell#aspell-compat#" configure > configure.tmp; mv configure.tmp configure; chmod +x configure; ./configure); (cd aspell-fr-0.50-3; ./configure)
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    (cd aspell-fr-0.1-3; ${MAKE}); (cd aspell-fr-0.50-3; ${MAKE})
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    (cd aspell-fr-0.1-3; ${MAKE} DESTDIR=${DESTDIR} install); (cd aspell-fr-0.50-3; ${MAKE} DESTDIR=${DESTDIR} install)
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Jul 31 2003 Ximian, Inc.

- Version: 1:0.50.3-0.ximian.6.4
- Summary: New build.
- New automated build.

